package com.kingdee.eas.custom.gggl;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractContractChangeE2Info extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractContractChangeE2Info()
    {
        this("id");
    }
    protected AbstractContractChangeE2Info(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 第2个表体 's null property 
     */
    public com.kingdee.eas.custom.gggl.ContractChangeInfo getParent()
    {
        return (com.kingdee.eas.custom.gggl.ContractChangeInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.gggl.ContractChangeInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 第2个表体 's 广告位编号 property 
     */
    public com.kingdee.eas.custom.gggl.AdvertInfo getGgw()
    {
        return (com.kingdee.eas.custom.gggl.AdvertInfo)get("ggw");
    }
    public void setGgw(com.kingdee.eas.custom.gggl.AdvertInfo item)
    {
        put("ggw", item);
    }
    /**
     * Object: 第2个表体 's 收款类型 property 
     */
    public com.kingdee.eas.custom.gggl.ReceTypeInfo getRecType()
    {
        return (com.kingdee.eas.custom.gggl.ReceTypeInfo)get("recType");
    }
    public void setRecType(com.kingdee.eas.custom.gggl.ReceTypeInfo item)
    {
        put("recType", item);
    }
    /**
     * Object:第2个表体's 收款金额property 
     */
    public java.math.BigDecimal getSkAmount()
    {
        return getBigDecimal("skAmount");
    }
    public void setSkAmount(java.math.BigDecimal item)
    {
        setBigDecimal("skAmount", item);
    }
    /**
     * Object:第2个表体's 税率(%)property 
     */
    public java.math.BigDecimal getRate()
    {
        return getBigDecimal("rate");
    }
    public void setRate(java.math.BigDecimal item)
    {
        setBigDecimal("rate", item);
    }
    /**
     * Object:第2个表体's 应收日期property 
     */
    public java.util.Date getRecDate()
    {
        return getDate("recDate");
    }
    public void setRecDate(java.util.Date item)
    {
        setDate("recDate", item);
    }
    /**
     * Object:第2个表体's 备注property 
     */
    public String getRemark()
    {
        return getString("remark");
    }
    public void setRemark(String item)
    {
        setString("remark", item);
    }
    /**
     * Object:第2个表体's 源单分录IDproperty 
     */
    public String getSourceEnID()
    {
        return getString("sourceEnID");
    }
    public void setSourceEnID(String item)
    {
        setString("sourceEnID", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("84289F4D");
    }
}